# Copyright (c) 2004-2006 Bethel University. All rights reserved.
# See also gpl.txt
from zope.interface import implements

from Products.Silva import upgrade

# zope imports
import zLOG

log_severity = zLOG.INFO

# silva imports
from Products.Silva.interfaces import IUpgrader

class DisplayDescriptionAdder:
    implements(IUpgrader)
    def upgrade(self, obj):
        zLOG.LOG('SilvaCustomAutoTOC',log_severity,
                 'adding display_description flag')
        if not hasattr(obj,'_display_desc_flag'):
            zLOG.LOG('SilvaCustomAutoTOC',log_severity,
                     'adding display_description flag to item: ' + '/'.join(obj.getPhysicalPath()))
            obj._display_desc_flag = 0

def initialize():
    upgrade.registry.registerUpgrader(
        DisplayDescriptionAdder(), '1.5', 'Silva Custom AutoTOC')









        
        
